# Accounts

## Endpoints

### Retrieve an Account

- [GET /v1/financial_connections/accounts/:id](https://docs.stripe.com/api/financial_connections/accounts/retrieve.md)

### List Accounts

- [GET /v1/financial_connections/accounts](https://docs.stripe.com/api/financial_connections/accounts/list.md)

### Disconnect an Account

- [POST /v1/financial_connections/accounts/:id/disconnect](https://docs.stripe.com/api/financial_connections/accounts/disconnect.md)

### Refresh Account data

- [POST /v1/financial_connections/accounts/:id/refresh](https://docs.stripe.com/api/financial_connections/accounts/refresh.md)

### Subscribe to data refreshes for an Account

- [POST /v1/financial_connections/accounts/:id/subscribe](https://docs.stripe.com/api/financial_connections/accounts/subscribe.md)

### Unsubscribe from data refreshes for an Account

- [POST /v1/financial_connections/accounts/:id/unsubscribe](https://docs.stripe.com/api/financial_connections/accounts/unsubscribe.md)

## Events

- `financial_connections.account.account_numbers_updated`
Occurs when a Financial Connections account’s account numbers are updated.

- `financial_connections.account.created`
Occurs when a new Financial Connections account is created.

- `financial_connections.account.deactivated`
Occurs when a Financial Connections account’s status is updated from `active` to `inactive`.

- `financial_connections.account.disconnected`
Occurs when a Financial Connections account is disconnected.

- `financial_connections.account.expected_deactivation_date_updated`
Occurs when a Financial Connections account’s `expected_deactivation_date` changes.

- `financial_connections.account.reactivated`
Occurs when a Financial Connections account’s status is updated from `inactive` to `active`.

- `financial_connections.account.refreshed_balance`
Occurs when an Account’s `balance_refresh` status transitions from `pending` to either `succeeded` or `failed`.

- `financial_connections.account.refreshed_ownership`
Occurs when an Account’s `ownership_refresh` status transitions from `pending` to either `succeeded` or `failed`.

- `financial_connections.account.refreshed_transactions`
Occurs when an Account’s `transaction_refresh` status transitions from `pending` to either `succeeded` or `failed`.

- `financial_connections.account.supported_payment_method_types_updated`
Occurs when the supported_payment_method_types array on a Financial Connections account changes.

- `financial_connections.account.upcoming_account_number_expiry`
Occurs when an Account’s tokenized account number is about to expire.

- `financial_connections.account.upcoming_deactivation`
Occurs when a Financial Connections account is about to become `inactive`.

A Financial Connections Account represents an account that exists outside of Stripe, to which you have been granted some degree of access.
